安装先前版本的pytorch金沙国际

我们希望您安装最新版本但为了方便起见,下面提供了旧的二进制文件和安装说明。

经由康达

这应该用于大多数以前的MacOS版本安装。

要通过anaconda或miniconda安装先前版本的pytor金沙国际ch,请将以下命令中的“0.4.1”替换为所需版本(即,“0.2.0”。

使用CUDA 9安装

Conda安装焊炬=0.4.金沙国际1 CUDA90-C焊炬

Conda安装焊炬=0.4.金沙国际1 CUDA92-C焊炬

使用CUDA 8安装

Conda安装焊炬=0.4.金沙国际1 CUDA80-C焊炬

使用CUDA 7.5安装

Conda安装焊炬=0.4.金沙国际1 CUDA75-C焊炬

无CUDA安装

Conda安装焊炬=0.4.金沙国际1-C焊炬

从源头

可以签出旧版本的金沙国际并构建它。您可以使用金沙国际查看标签并检查特定版本(用所需版本替换“0.1.9”)。

Git检验v0.1.9

按照pytorchcheckout的readme.md中的从源代码安装说明进行操作。金沙国际

通过PIP

下载WHL使用下面列表中所需版本的文件,并运行

pip安装/path/to/whl/file

您还可以直接将URL传递给PIP:

pip安装https://download.pytorch金沙国际.org/whl/cu80/torch-0.4.1-cp36-cp36m-linux_x86_64.whl

如果你不想得到CUDA的支持,URL类似于https://download.www.mrlgrant.com/whl/cpu/torch-金沙国际0.4.1-cp36-cp36m-linux_x86_64.whl

下面有七个主要列表:使用CUDA9.2编译的Linux二进制文件,9.1,9,8和7.5支持,Windows支持,以及mac osx和其他二进制文件。

金沙国际使用CUDA 10.0编译的pytorch Linux二进制文件

金沙国际使用CUDA 9.2编译的pytorch Linux二进制文件

金沙国际使用CUDA 9.1编译的pytorch Linux二进制文件

金沙国际使用CUDA 9.0编译的pytorch Linux二进制文件

金沙国际用CUDA 8编译的pytorch Linux二进制文件

金沙国际使用CUDA 7.5编译的pytorch Linux二进制文件

Linux无CUDA二进制文件

Windows二进制文件

MAC和MISC。二进制文件

对于最近的MacOS二进制文件,使用康达

例如。,

Conda安装焊炬=0.4.金沙国际1 CUDA90-C焊炬 Conda安装焊炬=0.4.金沙国际1 CUDA92-C焊炬 Conda安装焊炬=0.4.金沙国际1 CUDA80-C焊炬 Conda安装焊炬=0.4.金沙国际1-C焊炬无CUDA